#pragma once

#include <BWAPI.h>
#include "CUnit.h"
#include "Macro.h"

using namespace BWAPI;

static const double x_vector = 0;
static const double y_vector = 1;

class CUnit;

class BuildingPlacement
{
public:
	static bool build(CUnit unit);
	static TilePosition checkBounds(TilePosition tp);
	static std::vector<double> getDirection(TilePosition tp1, TilePosition tp2);
	static TilePosition getPosition(BWAPI::UnitType unit);
};